Page MenuHomePhabricator

Shell\Command should support providing standard input
Closed, ResolvedPublic

Description

Shell\Command should support providing standard input to the command. This is one of the main reasons that SyntaxHighlight is using symfony/process.

Event Timeline

Legoktm created this task.Dec 8 2017, 8:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2017, 8:28 PM
Tgr added a comment.Dec 8 2017, 9:24 PM

(aside: should we have a MediaWiki-Shell project in Phabricator?)

(aside: should we have a MediaWiki-Shell project in Phabricator?)

Yes please :)

Also T182467 doesn't strictly depend upon this one because I just used a temporary file instead.

MaxSem claimed this task.Dec 10 2017, 10:10 PM
Physikerwelt added a subscriber: Physikerwelt.EditedDec 12 2017, 11:05 AM

See https://gerrit.wikimedia.org/r/#/c/372100/5/MathMathMLCli.php for a prototype that supplies stdin to a command (from the PHP perspective this is stdout, thus I called the additional argument stdout).

Change 399768 had a related patch set uploaded (by Legoktm; owner: Gergő Tisza):
[mediawiki/core@master] Allow programmatic input in Command

https://gerrit.wikimedia.org/r/399768

Change 399768 merged by MaxSem:
[mediawiki/core@master] Allow programmatic input in Command

https://gerrit.wikimedia.org/r/399768

MaxSem closed this task as Resolved.Jan 3 2018, 5:22 PM
MaxSem reassigned this task from MaxSem to Tgr.